MyGUI: MyGUI::Align Struct Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::Align Struct Reference

`#include <MyGUI_Align.h>`

## Public Types
enum | Enum { HCenter = 0, VCenter = 0, Center = HCenter | VCenter, Left = (1<<( 1 )), Right = (1<<( 2 )), HStretch = Left | Right, Top = (1<<( 3 )), Bottom = (1<<( 4 )), VStretch = Top | Bottom, Stretch = HStretch | VStretch, Default = Left | Top }
typedef std::map< std::string, int > | MapAlign

## Public Member Functions
| Align (Enum _value=Default)
bool | isHCenter () const
bool | isVCenter () const
bool | isCenter () const
bool | isLeft () const
bool | isRight () const
bool | isHStretch () const
bool | isTop () const
bool | isBottom () const
bool | isVStretch () const
bool | isStretch () const
bool | isDefault () const
Align & | operator|= (Align const &_other)
std::string | print () const
int | getValue () const

## Static Public Member Functions
static Align | parse (const std::string &_value)

## Friends
Align | operator| (Enum const &a, Enum const &b)
Align | operator| (Align const &a, Align const &b)
bool | operator== (Align const &a, Align const &b)
bool | operator!= (Align const &a, Align const &b)
std::ostream & | operator<< (std::ostream &_stream, const Align &_value)
std::istream & | operator>> (std::istream &_stream, Align &_value)

## Detailed Description

Definition at line 19 of file MyGUI_Align.h.

## Member Typedef Documentation

## ◆ MapAlign

typedef std::map<std::string, int> MyGUI::Align::MapAlign

Definition at line 125 of file MyGUI_Align.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::Align::Enum

Enumerator
HCenter | center horizontally
VCenter | center vertically
Center | center in the dead center
Left | value from the left (and center vertically)
Right | value from the right (and center vertically)
HStretch | stretch horizontally proportionate to parent window (and center vertically)
Top | value from the top (and center horizontally)
Bottom | value from the bottom (and center horizontally)
VStretch | stretch vertically proportionate to parent window (and center horizontally)
Stretch | stretch proportionate to parent window
Default | default value (value from left and top)

Definition at line 21 of file MyGUI_Align.h.

## Constructor & Destructor Documentation

## ◆ Align()

MyGUI::Align::Align | ( | Enum | _value = `Default` | ) |
| inline

Definition at line 39 of file MyGUI_Align.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::Align::getValue | ( |  | ) | const
| inline

Definition at line 203 of file MyGUI_Align.h.

## ◆ isBottom()

bool MyGUI::Align::isBottom | ( |  | ) | const
| inline

Definition at line 79 of file MyGUI_Align.h.

## ◆ isCenter()

bool MyGUI::Align::isCenter | ( |  | ) | const
| inline

Definition at line 54 of file MyGUI_Align.h.

## ◆ isDefault()

bool MyGUI::Align::isDefault | ( |  | ) | const
| inline

Definition at line 94 of file MyGUI_Align.h.

## ◆ isHCenter()

bool MyGUI::Align::isHCenter | ( |  | ) | const
| inline

Definition at line 44 of file MyGUI_Align.h.

## ◆ isHStretch()

bool MyGUI::Align::isHStretch | ( |  | ) | const
| inline

Definition at line 69 of file MyGUI_Align.h.

## ◆ isLeft()

bool MyGUI::Align::isLeft | ( |  | ) | const
| inline

Definition at line 59 of file MyGUI_Align.h.

## ◆ isRight()

bool MyGUI::Align::isRight | ( |  | ) | const
| inline

Definition at line 64 of file MyGUI_Align.h.

## ◆ isStretch()

bool MyGUI::Align::isStretch | ( |  | ) | const
| inline

Definition at line 89 of file MyGUI_Align.h.

## ◆ isTop()

bool MyGUI::Align::isTop | ( |  | ) | const
| inline

Definition at line 74 of file MyGUI_Align.h.

## ◆ isVCenter()

bool MyGUI::Align::isVCenter | ( |  | ) | const
| inline

Definition at line 49 of file MyGUI_Align.h.

## ◆ isVStretch()

bool MyGUI::Align::isVStretch | ( |  | ) | const
| inline

Definition at line 84 of file MyGUI_Align.h.

## ◆ operator|=()

Align& MyGUI::Align::operator|= | ( | Align const & | _other | ) |
| inline

Definition at line 99 of file MyGUI_Align.h.

## ◆ parse()

static Align MyGUI::Align::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 127 of file MyGUI_Align.h.

## ◆ print()

std::string MyGUI::Align::print | ( |  | ) | const
| inline

Definition at line 143 of file MyGUI_Align.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | Align const & | a,
|  | Align const & | b
| ) |  |
| friend

Definition at line 120 of file MyGUI_Align.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const Align & | _value
| ) |  |
| friend

Definition at line 174 of file MyGUI_Align.h.

## ◆ operator==

bool operator== | ( | Align const & | a,
|  | Align const & | b
| ) |  |
| friend

Definition at line 115 of file MyGUI_Align.h.

## ◆ operator>>

std::istream& operator>> | ( | std::istream & | _stream,
|  | Align & | _value
| ) |  |
| friend

Definition at line 180 of file MyGUI_Align.h.

## ◆ operator| [1/2]

Align operator| | ( | Align const & | a,
|  | Align const & | b
| ) |  |
| friend

Definition at line 110 of file MyGUI_Align.h.

## ◆ operator| [2/2]

Align operator| | ( | Enum const & | a,
|  | Enum const & | b
| ) |  |
| friend

Definition at line 105 of file MyGUI_Align.h.

The documentation for this struct was generated from the following file:

- MyGUI_Align.h